This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 102947 - nss_ldap RPM is out of date and missing support for netgroups
nss_ldap RPM is out of date and missing support for netgroups
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nss_ldap (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-22 18:53 EDT by Larry Lile
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-17 19:20:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Lile 2003-08-22 18:53:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:

The current version of nss_ldap is 210 and contains native support
for netgroups.  The first version of nss_ldap that supported netgroups
is 204.  Nalin Dahyabhai <nalin@redhat.com> has been provided with
patches that will add netgroup support to versions 189 to 202.

Please either add the netgroup support patch to version 203 or 
upgrade to the latest version of nss_ldap, which would be preferable.

Without netgroup support many things do not work properly after a migration from
NIS to LDAP.  For instance sudo, pam_access, hosts.deny, hosts.allow, etc.  This
is a major impact to sites which have migrated
or intend to migrate to LDAP.

Version-Release number of selected component (if applicable):
nss_ldap-203-4.2

How reproducible:
Always

Steps to Reproduce:

nss_ldap does not support netgroups in versions prior to 204 without
a patch.

Additional info:

I can supply the netgroup support patch to Nalin again, if neccessary.
Comment 1 Bill Nottingham 2003-08-22 22:59:43 EDT
nss_ldap-207 is in the tree currently...
Comment 2 Larry Lile 2003-08-25 16:05:58 EDT
And how does one go about getting the 207 version?

simpsons [~](SHARK)(2)> cat /etc/redhat-release 
Red Hat Enterprise Linux release 2.9.5WS (Taroon)
simpsons [~](SHARK)(3)> rpm -qa | grep nss_ldap
nss_ldap-202-5
Comment 3 Larry Lile 2003-08-29 16:37:49 EDT
Hello? How can I get the updated RPM? or more importantly the updated SRPM?
Comment 4 Larry Lile 2003-09-17 19:20:40 EDT
Okay, so after spelunking through ftp.redhat.com I finally found the
new RPM.  To save others from this scavenger hunt:

The rpm can be found:
ftp://ftp.redhat.com//pub/redhat/linux/beta/taroon/en/ws/i386/RedHat/RPMS/nss_ldap-207-2.i386.rpm

The source rpm can be found:
ftp://ftp.redhat.com//pub/redhat/linux/beta/taroon/en/ws/i386/SRPMS/nss_ldap-207-2.src.rpm



Note You need to log in before you can comment on or make changes to this bug.